Index: LMDZ6/branches/Amaury_dev/libf/phylmd/conf_phys_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/conf_phys_m.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/conf_phys_m.F90	(revision 5099)
@@ -1760,183 +1702,176 @@
     !Config Def  = phys_tstep
     !Config Help =
-    !
+
     freq_calNMC_omp(1) = phys_tstep
     freq_calNMC_omp(2) = phys_tstep
     freq_calNMC_omp(3) = phys_tstep
     CALL getin('freq_calNMC', freq_calNMC_omp)
-    !
+
     !Config Key  = type_run
     !Config Desc =
     !Config Def  = 'AMIP'/'CFMIP'  ou 'CLIM'/'ENSP'
     !Config Help =
-    !
+
     type_run_omp = 'AMIP'
     CALL getin('type_run', type_run_omp)
 
-    !
     !Config Key  = ok_cosp
     !Config Desc =
     !Config Def  = .FALSE.
     !Config Help =
-    !
+
     ok_cosp_omp = .FALSE.
     CALL getin('ok_cosp', ok_cosp_omp)
 
-    !
     !Config Key  = ok_airs
     !Config Desc =
     !Config Def  = .FALSE.
     !Config Help =
-    !
+
     ok_airs_omp = .FALSE.
     CALL getin('ok_airs', ok_airs_omp)
 
-    !
     !Config Key  = ok_mensuelCOSP
     !Config Desc =
     !Config Def  = .TRUE.
     !Config Help =
-    !
+
     ok_mensuelCOSP_omp = .TRUE.
     CALL getin('ok_mensuelCOSP', ok_mensuelCOSP_omp)
 
-    !
     !Config Key  = ok_journeCOSP
     !Config Desc =
     !Config Def  = .TRUE.
     !Config Help = 
-    !
+
     ok_journeCOSP_omp = .TRUE.
     CALL getin('ok_journeCOSP', ok_journeCOSP_omp)
 
-    !
     !Config Key  = ok_hfCOSP
     !Config Desc =
     !Config Def  = .FALSE.
     !Config Help =
-    !
+
     ok_hfCOSP_omp = .FALSE.
     CALL getin('ok_hfCOSP', ok_hfCOSP_omp)
 
-    !
     ! coordonnees (lonmin_ins, lonmax_ins, latmin_ins, latmax_ins) pour la zone 
     ! avec sorties instantannees tous les pas de temps de la physique => "histbilKP_ins.nc"
-    !
+
     !Config Key  = lonmin_ins
     !Config Desc = 100.  
     !Config Def  = longitude minimale sorties "bilKP_ins"
     !Config Help = 
-    !
+
     lonmin_ins_omp = 100.
     CALL getin('lonmin_ins', lonmin_ins_omp)
-    !
+
     !Config Key  = lonmax_ins
     !Config Desc = 130. 
     !Config Def  = longitude maximale sorties "bilKP_ins"
     !Config Help =
-    !
+
     lonmax_ins_omp = 130.
     CALL getin('lonmax_ins', lonmax_ins_omp)
-    !
+
     !Config Key  = latmin_ins
     !Config Desc = -20.  
     !Config Def  = latitude minimale sorties "bilKP_ins"
     !Config Help = 
-    !
+
     latmin_ins_omp = -20.
     CALL getin('latmin_ins', latmin_ins_omp)
-    !
+
     !Config Key  = latmax_ins
     !Config Desc = 20. 
     !Config Def  = latitude maximale sorties "bilKP_ins"
     !Config Help =
-    !
+
     latmax_ins_omp = 20.
     CALL getin('latmax_ins', latmax_ins_omp)
-    !
+
     !Config Key  = ecrit_hf
     !Config Desc =
     !Config Def  = 1./8. !toutes les 3h
     !Config Help =
-    !
+
     ecrit_hf_omp = 1. / 8.
     CALL getin('ecrit_hf', ecrit_hf_omp)
-    !
+
     !Config Key  = ecrit_ins
     !Config Desc =
     !Config Def  = 1./48. ! toutes les 1/2 h
     !Config Help =
-    !
+
     ecrit_ins_omp = 1. / 48.
     CALL getin('ecrit_ins', ecrit_ins_omp)
-    !
+
     !Config Key  = ecrit_day
     !Config Desc =
     !Config Def  = 1.0 !tous les jours
     !Config Help = nombre de jours pour ecriture fichier histday.nc
-    !
+
     ecrit_day_omp = 1.0
     CALL getin('ecrit_day', ecrit_day_omp)
-    !
+
     !Config Key  = ecrit_mth
     !Config Desc =
     !Config Def  = 30. !tous les 30jours (1 fois par mois)
     !Config Help =
-    !
+
     ecrit_mth_omp = 30.
     CALL getin('ecrit_mth', ecrit_mth_omp)
-    !
+
     !Config Key  = ecrit_tra
     !Config Desc =
     !Config Def  = 30. !tous les 30jours (1 fois par mois)
     !Config Help =
-    !
+
     ecrit_tra_omp = 0.
     CALL getin('ecrit_tra', ecrit_tra_omp)
-    !
+
     !Config Key  = ecrit_reg
     !Config Desc =
     !Config Def  = 0.25  !4 fois par jour
     !Config Help =
-    !
+
     ecrit_reg_omp = 0.25   !4 fois par jour
     CALL getin('ecrit_reg', ecrit_reg_omp)
-    !
-    !
+
+
     print*, 'CONFPHYS OOK avant drag_ter'
-    !
+
     ! PARAMETRES CDRAG
-    !
+
     f_cdrag_ter_omp = 0.8
     CALL getin('f_cdrag_ter', f_cdrag_ter_omp)
-    !
+
     f_cdrag_oce_omp = 0.8
     CALL getin('f_cdrag_oce', f_cdrag_oce_omp)
-    !
 
     ! Gustiness flags
     f_z0qh_oce_omp = 1.
     CALL getin('f_z0qh_oce', f_z0qh_oce_omp)
-    !
+
     f_qsat_oce_omp = 1.
     CALL getin('f_qsat_oce', f_qsat_oce_omp)
-    !
+
     f_gust_bl_omp = 0.
     CALL getin('f_gust_bl', f_gust_bl_omp)
-    !
+
     f_gust_wk_omp = 0.
     CALL getin('f_gust_wk', f_gust_wk_omp)
-    !
+
     !Config Key  = iflag_z0_oce
     !Config Desc = 0 (z0h=z0m), 1 (diff. equ. for z0h and z0m), -1 (z0m=z0h=z0min)
     !Config Def  = 0   ! z0h = z0m
     !Config Help =
-    !
+
     iflag_z0_oce_omp = 0
     CALL getin('iflag_z0_oce', iflag_z0_oce_omp)
-    !
+
     iflag_gusts_omp = 0
     CALL getin('iflag_gusts', iflag_gusts_omp)
-    !
+
     min_wind_speed_omp = 1.
     CALL getin('min_wind_speed', min_wind_speed_omp)
@@ -1956,23 +1891,21 @@
 
     ! PARAMETERS FOR CONVECTIVE INHIBITION BY TROPOS. DRYNESS
-    !
+
     !Config Key  = supcrit1
     !Config Desc =
     !Config Def  = .540
     !Config Help =
-    !
+
     supcrit1_omp = .540
     CALL getin('supcrit1', supcrit1_omp)
 
-    !
     !Config Key  = supcrit2
     !Config Desc =
     !Config Def  = .600
     !Config Help =
-    !
+
     supcrit2_omp = .600
     CALL getin('supcrit2', supcrit2_omp)
 
-    !
     ! PARAMETERS FOR THE MIXING DISTRIBUTION
     ! iflag_mix: 0=OLD, 
@@ -1980,87 +1913,79 @@
     !            2=NEW + conv. depth inhib. by tropos. dryness
     ! '2' is NOT operationnal and should not be used.
-    !
+
     !Config Key  = iflag_mix
     !Config Desc =
     !Config Def  = 1
     !Config Help =
-    !
+
     iflag_mix_omp = 1
     CALL getin('iflag_mix', iflag_mix_omp)
 
-    !
     ! PARAMETERS FOR THE EROSION OF THE ADIABATIC ASCENTS
     ! iflag_mix_adiab: 0=OLD, 
     !                  1=NEW (CR),            
-    !            
-    !
+
+
     !Config Key  = iflag_mix_adiab
     !Config Desc =
     !Config Def  = 1
     !Config Help =
-    !
+
     iflag_mix_adiab_omp = 0
     CALL getin('iflag_mix_adiab', iflag_mix_adiab_omp)
 
-    !
     !Config Key  = scut
     !Config Desc =
     !Config Def  = 0.95
     !Config Help =
-    !
+
     scut_omp = 0.95
     CALL getin('scut', scut_omp)
 
-    !
     !Config Key  = qqa1
     !Config Desc =
     !Config Def  = 1.0
     !Config Help =
-    !
+
     qqa1_omp = 1.0
     CALL getin('qqa1', qqa1_omp)
 
-    !
     !Config Key  = qqa2
     !Config Desc =
     !Config Def  = 0.0
     !Config Help =
-    !
+
     qqa2_omp = 0.0
     CALL getin('qqa2', qqa2_omp)
 
-    !
     !Config Key  = gammas
     !Config Desc =
     !Config Def  = 0.05
     !Config Help =
-    !
+
     gammas_omp = 0.05
     CALL getin('gammas', gammas_omp)
 
-    !
     !Config Key  = Fmax
     !Config Desc =
     !Config Def  = 0.65
     !Config Help =
-    !
+
     Fmax_omp = 0.65
     CALL getin('Fmax', Fmax_omp)
 
-    !
     !Config Key  = tmax_fonte_cv
     !Config Desc =
     !Config Def  = 275.15
     !Config Help =
-    !
+
     tmax_fonte_cv_omp = 275.15
     CALL getin('tmax_fonte_cv', tmax_fonte_cv_omp)
 
-    !
     !Config Key  = alphas  
     !Config Desc =
     !Config Def  = -5.
     !Config Help =
-    !
+
     alphas_omp = -5.
     CALL getin('alphas', alphas_omp)
@@ -2084,5 +2009,5 @@
 
     !  Parametres pour les ondes de gravite
-    !  
+
     !  Subgrid Scale Orography (Lott Miller (1997), Lott (1999))
 
@@ -2142,5 +2067,5 @@
     !Config Help = Pour creer le fichier histLES contenant les sorties  
     !              LES                                                  
-    !                                                                   
+
     ok_LES_omp = .FALSE.
     CALL getin('OK_LES', ok_LES_omp)
@@ -2151,8 +2076,8 @@
     !Config Help = Pour creer le fichier stats contenant les sorties  
     !              stats                                                  
-    !                                                                   
+
     callstats_omp = .FALSE.
     CALL getin('callstats', callstats_omp)
-    !
+
     !Config Key  = ecrit_LES
     !Config Desc = Frequence d'ecriture des resultats du LES en nombre de jours;
@@ -2160,9 +2085,9 @@
     !Config Def  = 1./8.
     !Config Help = ... 
-    !
-    !
+
+
     adjust_tropopause = .FALSE.
     CALL getin('adjust_tropopause', adjust_tropopause_omp)
-    !
+
     !Config Key  = adjust_tropopause
     !Config Desc = Adjust the ozone field from the climoz file by stretching its
@@ -2170,9 +2095,9 @@
     !Config Def  = .FALSE.
     !Config Help = Ensure tropospheric ozone column conservation.
-    !
-    !
+
+
     ok_daily_climoz = .FALSE.
     CALL getin('ok_daily_climoz', ok_daily_climoz_omp)
-    !
+
     !Config Key  = ok_daily_climoz
     !Config Desc = Interpolate in time the ozone forcings within ce0l.
@@ -2184,5 +2109,5 @@
     ok_new_lscp_omp = .FALSE.
     CALL getin('ok_new_lscp', ok_new_lscp_omp)
-    !
+
     !Config Key  = ok_new_lscp_omp
     !Config Desc = new cloud scheme ith ice and mixed phase (Etienne and JB)
@@ -2192,5 +2117,5 @@
     ok_icefra_lscp_omp = .FALSE.
     CALL getin('ok_icefra_lscp', ok_icefra_lscp_omp)
-    !
+
     !Config Key  = ok_icefra_lscp_omp
     !Config Desc = ice fraction in radiation from lscp
@@ -2200,5 +2125,5 @@
     ok_bs_omp = .FALSE.
     CALL getin('ok_bs', ok_bs_omp)
-    !
+
     !Config Key  = ok_bs_omp
     !Config Desc = include blowing snow
@@ -2208,5 +2133,5 @@
     ok_rad_bs_omp = .FALSE.
     CALL getin('ok_rad_bs', ok_rad_bs_omp)
-    !
+
     !Config Key  = ok_rad_bs_omp
     !Config Desc = include blowing snow radiative effect
@@ -2216,5 +2141,5 @@
     ecrit_LES_omp = 1. / 8.
     CALL getin('ecrit_LES', ecrit_LES_omp)
-    !
+
     read_climoz = 0 ! default value
     CALL getin('read_climoz', read_climoz)
@@ -2256,5 +2181,5 @@
     dms_cycle_cpl_omp = .FALSE.
     CALL getin('transm_dms_oa', dms_cycle_cpl_omp)
-    !
+
     !Config Key  = dms_cycle_cpl
     !Config Desc = receive dms from pisces via oasis
@@ -2264,5 +2189,5 @@
     n2o_cycle_cpl_omp = .FALSE.
     CALL getin('transm_n2o_oa', n2o_cycle_cpl_omp)
-    !
+
     !Config Key  = n2o_cycle_cpl
     !Config Desc = receive n2o from pisces via oasis
@@ -2915,7 +2840,6 @@
 
 END MODULE conf_phys_m
-!
+
 !#################################################################
-!
 
 SUBROUTINE conf_interface(tau_calv)
@@ -2925,15 +2849,15 @@
   IMPLICIT NONE
   ! Configuration de l'interace atm/surf
-  !
+
   ! tau_calv:    temps de relaxation pour la fonte des glaciers
-  !
+
   REAL :: tau_calv
   REAL, SAVE :: tau_calv_omp
-  !
+
   !Config Key  = tau_calv
   !Config Desc = temps de relaxation pour fonte des glaciers en jours
   !Config Def  = 1 an 
   !Config Help = 
-  !
+
   tau_calv_omp = 360. * 10.
   !$OMP MASTER
@@ -2941,7 +2865,7 @@
   !$OMP END MASTER
   !$OMP BARRIER
-  !
+
   tau_calv = tau_calv_omp
-  !
+
   !$OMP MASTER
   WRITE(lunout, *)' ##############################################'
@@ -2949,5 +2873,5 @@
   WRITE(lunout, *)' tau_calv = ', tau_calv
   !$OMP END MASTER
-  !
+
   RETURN
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/MISR_simulator.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/MISR_simulator.F	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/MISR_simulator.F	(revision 5099)
@@ -1,11 +1,11 @@
-! 
+
 ! Copyright (c) 2009,  Roger Marchand, version 1.2
 ! All rights reserved.
 ! $Revision: 23 $, $Date: 2011-03-31 15:41:37 +0200 (jeu. 31 mars 2011) $
 ! $URL: http://cfmip-obs-sim.googlecode.com/svn/stable/v1.4.0/MISR_simulator/MISR_simulator.f $
-! 
+
 ! Redistribution and use in source and binary forms, with or without modification, are permitted 
 ! provided that the following conditions are met:
-! 
+
 !     * Redistributions of source code must retain the above copyright notice, this list of 
 !       conditions and the following disclaimer.
@@ -15,5 +15,5 @@
 !     * Neither the name of the University of Washington nor the names of its contributors may be used 
 !       to endorse or promote products derived from this software without specific prior written permission.
-! 
+
 ! THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING,
 ! BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT 
@@ -22,5 +22,4 @@
 ! INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING 
 ! NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-!
 
       SUBROUTINE MISR_simulator(
@@ -119,13 +118,11 @@
     
       tauchk = -1.*log(0.9999999)
-        
-      !
+
       ! For each GCM cell or horizontal model grid point ...
-      ! 
+
       do j=1,npoints    
 
-         !
          !  estimate distribution of Model layer tops
-         !  
+
          dist_model_layertops(j,:)=0
 
@@ -154,9 +151,7 @@
      &          dist_model_layertops(j,iMISR_ztop)+1
        enddo
-    
-    
-         !
+
          ! compute total cloud optical depth for each column
-         !       
+
        do ibox=1,ncol     
        
@@ -280,9 +275,7 @@
        enddo  ! loop of subcolumns
        enddo    ! loop of gridpoints
-       
-
-        !     
+
         !   Modify MISR CTH for satellite spatial / pattern matcher effects
-    !
+
     !   Code in this region added by roj 5/2006 to account
     !   for spatial effect of the MISR pattern matcher.
@@ -291,5 +284,5 @@
     !   a lower CTH, THEN misr will tend to but place the
     !   odd column at the same height as it neighbors.
-    !
+
     !   This setup assumes the columns represent a about a 1 to 4 km scale
     !   it will need to be modified significantly, otherwise
@@ -337,7 +330,6 @@
         endif
 
-        !     
     !     DETERMINE CLOUD TYPE FREQUENCIES
-    !
+
     !     Now that ztop and tau have been determined, 
     !     determine amount of each cloud type
@@ -407,8 +399,6 @@
 
           else
-            
-            !
+
             ! determine index for MISR bin set
-            !
 
             iMISR_ztop=2
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/array_lib.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/array_lib.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/array_lib.F90	(revision 5099)
@@ -4,5 +4,5 @@
 ! Compiled/Modified:
 !   07/01/06  John Haynes (haynes@atmos.colostate.edu)
-!
+
 ! infind (function)
 ! lin_interpolate (function)
@@ -19,9 +19,9 @@
   use m_mrgrnk
   implicit none
-!
+
 ! Purpose:
 !   Finds the index of an array that is closest to a value, plus the
 !   difference between the value found and the value specified
-!
+
 ! Inputs:
 !   [list]   an array of sequential values
@@ -29,14 +29,14 @@
 ! Optional input:
 !   [sort]   set to 1 if [list] is in unknown/non-sequential order
-!
+
 ! Returns:
 !   index of [list] that is closest to [val]
-!
+
 ! Optional output:
 !   [dist]   set to variable containing [list([result])] - [val]
-!
+
 ! Requires:
 !   mrgrnk library
-!
+
 ! Created:
 !   10/16/03  John Haynes (haynes@atmos.colostate.edu)
@@ -101,8 +101,8 @@
   use m_mrgrnk
   implicit none
-!
+
 ! Purpose:
 !   linearly interpolate a set of y2 values given a set of y1,x1,x2
-!
+
 ! Inputs:
 !   [yarr]    an array of y1 values
@@ -110,11 +110,11 @@
 !   [xxarr]   an array of x2 values
 !   [tol]     maximum distance for a match
-!
+
 ! Output:
 !   [yyarr]   interpolated array of y2 values
-!
+
 ! Requires:
 !   mrgrnk library
-!
+
 ! Created:
 !   06/07/06  John Haynes (haynes@atmos.colostate.edu)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/atmos_lib.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/atmos_lib.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/atmos_lib.F90	(revision 5099)
@@ -4,5 +4,5 @@
 ! Compiled/Modified:
 !   07/01/06  John Haynes (haynes@atmos.colostate.edu)
-!
+
 ! mcclatchey (subroutine)
   
@@ -17,8 +17,8 @@
   subroutine mcclatchey(stype,hgt,prs,tk,rh)
   implicit none
-!
+
 ! Purpose:
 !   returns a standard atmospheric profile
-!
+
 ! Input:
 !   [stype]   type of profile to return
@@ -26,5 +26,5 @@
 !             2 = mid-latitude winter
 !             3 = tropical
-!
+
 ! Outputs:
 !   [hgt]     height (m)
@@ -32,5 +32,5 @@
 !   [tk]      temperature (K)
 !   [rh]      relative humidity (%)
-!
+
 ! Created:
 !   06/01/2006  John Haynes (haynes@atmos.colostate.edu)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/calc_Re.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/calc_Re.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/calc_Re.F90	(revision 5099)
@@ -7,18 +7,18 @@
 ! Purpose:
 !   Calculates Effective Radius (1/2 distribution 3rd moment / 2nd moment). 
-!
+
 !   For some distribution types, the total number concentration (per kg), Np
 !   may be optionally specified.   Should be set to zero, otherwise.
-!
+
 !   Roj Marchand July 2010
 
 
 ! Inputs:
-!
+
 !   [Q]        hydrometeor mixing ratio (g/kg)  ! not needed for some distribution types
 !   [Np]       Optional Total number concentration (per kg).  0 = use defaults (p1, p2, p3)
-!
+
 !   [rho_a]    ambient air density (kg m^-3)   
-!
+
 !   Distribution parameters as per quickbeam documentation.
 !   [dtype]    distribution type
@@ -28,14 +28,12 @@
 !   [bmp]      b params for mass 
 !   [p1],[p2],[p3]  distribution parameters
-!
-!
+
+
 ! Outputs:
 !   [Re]       Effective radius, 1/2 the 3rd moment/2nd moment (um)
-!
+
 ! Created:
 !   July 2010  Roj Marchand
-!
-
- 
+
 ! ----- INPUTS -----  
   
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/congvec.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/congvec.h	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/congvec.h	(revision 5099)
@@ -5,9 +5,9 @@
 ! $Revision: 23 $, $Date: 2011-03-31 15:41:37 +0200 (jeu. 31 mars 2011) $
 ! $URL: http://cfmip-obs-sim.googlecode.com/svn/stable/v1.4.0/icarus-scops-4.1-bsd/congvec.f $
-! 
+
 ! Redistribution and use in source and binary forms, with or without 
 ! modification, are permitted provided that the
 ! following conditions are met:
-! 
+
 !     * Redistributions of source code must retain the above 
 !       copyright  notice, this list of conditions and the following 
@@ -21,5 +21,5 @@
 !       derived from this software without specific prior written 
 !       permission.
-! 
+
 ! THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 ! "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
@@ -33,5 +33,5 @@
 ! (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 ! OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.  
-! 
+
 ! *****************************COPYRIGHT*******************************
 ! *****************************COPYRIGHT*******************************
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/cosp_defs.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/cosp_defs.h	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/cosp_defs.h	(revision 5099)
@@ -3,8 +3,8 @@
 ! $Revision: 88 $, $Date: 2013-11-13 15:08:38 +0100 (mer. 13 nov. 2013) $
 ! $URL: http://cfmip-obs-sim.googlecode.com/svn/stable/v1.4.0/cosp_defs.h $
-! 
+
 ! Redistribution and use in source and binary forms, with or without modification, are permitted 
 ! provided that the following conditions are met:
-! 
+
 !     * Redistributions of source code must retain the above copyright notice, this list 
 !       of conditions and the following disclaimer.
@@ -15,5 +15,5 @@
 !       to endorse or promote products derived from this software without specific prior written 
 !       permission.
-! 
+
 ! THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR 
 ! IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/dsd.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/dsd.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/dsd.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id$
-!
+
   subroutine dsd(Q,Re_,Np,D,N,nsizes,dtype,rho_a,tk, &
              dmin,dmax,apm,bpm,rho_c,p1,p2,p3)
@@ -10,23 +10,23 @@
 ! Purpose:
 !   Create a discrete drop size distribution
-!
+
 !   Starting with Quickbeam V3, this routine now allows input of 
 !   both effective radius (Re) and total number concentration (Nt)
 !   Roj Marchand July 2010
-!
+
 !   The version in Quickbeam v.104 was modified to allow Re but not Nt 
 !   This is a significantly modified form for the version      
-!
+
 !   Originally Part of QuickBeam v1.03 by John Haynes
 !   http://reef.atmos.colostate.edu/haynes/radarsim
-!
+
 ! Inputs:
-!
+
 !   [Q]        hydrometeor mixing ratio (g/kg)
 !   [Re]       Optional Effective Radius (microns).  0 = use defaults (p1, p2, p3)
-!
+
 !   [D]        array of discrete drop sizes (um) where we desire to know the number concentraiton n(D).
 !   [nsizes]   number of elements of [D]
-!
+
 !   [dtype]    distribution type
 !   [rho_a]    ambient air density (kg m^-3)
@@ -36,16 +36,16 @@
 !   [rho_c]    alternate constant density (kg m^-3)
 !   [p1],[p2],[p3]  distribution parameters
-!
+
 ! Input/Output:
 !   [apm]      a parameter for mass (kg m^[-bpm])
 !   [bmp]      b params for mass
-!
+
 ! Outputs:
 !   [N]        discrete concentrations (cm^-3 um^-1)
 !              or, for monodisperse, a constant (1/cm^3)
-!
+
 ! Requires:
 !   function infind
-!
+
 ! Created:
 !   11/28/05  John Haynes (haynes@atmos.colostate.edu)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/format_input.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/format_input.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/format_input.F90	(revision 5099)
@@ -4,5 +4,5 @@
 ! Compiled/Modified:
 !   08/28/2006  John Haynes (haynes@atmos.colostate.edu)
-!
+
 ! irreg_to_grid (subroutine)
 ! order_data (subroutine)
@@ -23,5 +23,5 @@
 !   Linearly interpolate sounding-level data to the hydrometeor-level
 !   resolution
-!
+
 ! Inputs:
 !   [hgt_matrix]       hydrometeor-level heights
@@ -30,10 +30,10 @@
 !   [env_p_matrix]     sounding-level pressures
 !   [env_rh_matrix]    sounding-level relative humidities
-!
+
 ! Outputs:
 !   [t_matrix]         hydrometeor-level temperatures
 !   [p_matrix]         hydrometeor-level pressures
 !   [rh_matrix]        hydrometeor-level relative humidities
-!
+
 ! Created:
 !   08/28/2006  John Haynes (haynes@atmos.colostate.edu)
@@ -73,5 +73,5 @@
 !   Ensure that input data is in top-down order/bottom-up order,
 !   for space-based/surface based radars, respectively
-!
+
 ! Inputs:
 !   [hgt_matrix]   heights
@@ -81,13 +81,13 @@
 !   [rh_matrix]    relative humidities
 !   [sfc_radar]    1=surface radar, 0=spaceborne
-!
+
 ! Outputs:
 !   [hgt_matrix],[hm_matrix],[p_matrix,[t_matrix],[rh_matrix] in proper
 !   order for input to the radar simulator routine
 !   [hgt_reversed]   T=heights were reordered,F=heights were not reordered
-!
+
 ! Note:
 !   The order for all profiles is assumed to the same as the first profile.
-!
+
 ! Created:
 !   08/28/2006  John Haynes (haynes@atmos.colostate.edu)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/gases.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/gases.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/gases.F90	(revision 5099)
@@ -6,5 +6,5 @@
 ! Purpose:
 !   Compute 2-way gaseous attenuation through a volume in microwave
-!
+
 ! Inputs:
 !   [PRES_mb]   pressure (mb) (hPa)
@@ -12,11 +12,11 @@
 !   [RH]        relative humidity (%)
 !   [f]         frequency (GHz), < 300 GHz
-!
+
 ! Returns:
 !   2-way gaseous attenuation (dB/km)
-!
+
 ! Reference:
 !   Uses method of Liebe (1985)
-!
+
 ! Created:
 !   12/09/05  John Haynes (haynes@atmos.colostate.edu)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/icarus.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/icarus.F	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/icarus.F	(revision 5099)
@@ -41,9 +41,9 @@
 ! Corporation.
 ! All rights reserved.
-! 
+
 ! Redistribution and use in source and binary forms, with or without 
 ! modification, are permitted provided that the
 ! following conditions are met:
-! 
+
 !     * Redistributions of source code must retain the above 
 !       copyright  notice, this list of conditions and the following 
@@ -58,5 +58,5 @@
 !       derived from this software without specific prior written 
 !       permission.
-! 
+
 ! THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 ! "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
@@ -70,5 +70,5 @@
 ! (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 ! OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.  
-! 
+
 ! *****************************COPYRIGHT*******************************
 ! *****************************COPYRIGHT*******************************
@@ -153,22 +153,22 @@
                                  ! with interpolated temperature equal to the radiance
 				 ! determined cloud-top temperature
-				 !
+
 				 ! 1 = find the *lowest* altitude (highest pressure) level
 				 ! with interpolated temperature equal to the radiance
 				 ! determined cloud-top temperature
-				 !
+
 				 ! 2 = find the *highest* altitude (lowest pressure) level
 				 ! with interpolated temperature equal to the radiance 
 				 ! determined cloud-top temperature
-				 ! 
+
 				 ! ONLY APPLICABLE IF top_height EQUALS 1 or 3
 				 !				 !
 				 ! 1 = old setting: matches all versions of 
 				 ! ISCCP simulator with versions numbers 3.5.1 and lower
-				 !
+
 				 ! 2 = default setting: for version numbers 4.0 and higher
-!
+
 !     The following input variables are used only if top_height = 1 or top_height = 3
-!
+
       REAL skt(npoints)                 !  skin Temperature (K)
       REAL emsfc_lw                     !  10.5 micron emissivity of surface (fraction)                                            
@@ -222,7 +222,5 @@
       
       REAL boxptop(npoints,ncol)        !  cloud top pressure (mb) in each column
-                              
-                                                                                          
-!
+
 !     ------
 !     Working variables added when program updated to mimic Mark Webb's PV-Wave code
@@ -456,9 +454,6 @@
       enddo
 
-!
 !     ---------------------------------------------------!
 
-      
-!
 !     ---------------------------------------------------!
 !     COMPUTE CLOUD OPTICAL DEPTH FOR EACH COLUMN and
@@ -502,16 +497,13 @@
               enddo
           endif 
-!
+
 !     ---------------------------------------------------!
 
-
-
-!     
 !     ---------------------------------------------------!
 !     COMPUTE INFRARED BRIGHTNESS TEMPERUATRES
 !     AND CLOUD TOP TEMPERATURE SATELLITE SHOULD SEE
-!
+
 !     again this is only done if top_height = 1 or 3
-!
+
 !     fluxtop is the 10.5 micron radiance at the top of the
 !              atmosphere
@@ -525,7 +517,7 @@
 
         !----------------------------------------------------------------------
-        !    
+
         !             DO CLEAR SKY RADIANCE CALCULATION FIRST
-        !
+
         !compute water vapor continuum emissivity
         !this treatment follows Schwarkzopf and Ramasamy
@@ -640,9 +632,7 @@
         enddo
       endif
-    
-
-        !
+
         !           END OF CLEAR SKY CALCULATION
-        !
+
         !----------------------------------------------------------------
 
@@ -795,9 +785,9 @@
         !clouds which have partial emissivity and need the 
         !adjustment performed in this section
-        !
+
       !If it turns out that the cloud brightness temperature
       !is greater than 260K, then the liquid cloud conversion
         !factor of 2.56 is used.
-      !
+
         !Note that this is discussed on pages 85-87 of 
         !the ISCCP D level documentation (Rossow et al. 1996)
@@ -915,12 +905,10 @@
 !     ---------------------------------------------------!
 
-!     
 !     ---------------------------------------------------!
 !     DETERMINE CLOUD TOP PRESSURE
-!
+
 !     again the 2 methods differ according to whether
 !     or not you use the physical cloud top pressure (top_height = 2)
 !     or the radiatively determined cloud top pressure (top_height = 1 or 3)
-!
 
       !compute cloud top pressure
@@ -1004,18 +992,15 @@
 
 30    continue
-              
-!
-!
+
+
 !     ---------------------------------------------------!
 
-
-!     
 !     ---------------------------------------------------!
 !     DETERMINE ISCCP CLOUD TYPE FREQUENCIES
-!
+
 !     Now that ptop and tau have been determined, 
 !     determine amount of each of the 49 ISCCP cloud
 !     types
-!
+
 !     Also compute grid box mean cloud top pressure and
 !     optical thickness.  The mean cloud top pressure and
@@ -1027,5 +1012,4 @@
 !     then converting the average albedo back to a mean
 !     optical thickness.  
-!
 
       !compute isccp frequencies
@@ -1187,12 +1171,12 @@
         end if
       enddo ! j
-!
+
 !     ---------------------------------------------------!
 
 !     ---------------------------------------------------!
 !     OPTIONAL PRINTOUT OF DATA TO CHECK PROGRAM
-!
+
       if (debugcol.ne.0) then
-!     
+
          do j=1,npoints,debugcol
 
